# osgDB::Block Class Reference

Inheritance diagram for osgDB::Block:

[legend]
List of all members.

## Public Member Functions

| Block ()
void | block ()
void | release ()
void | reset ()
void | set (bool doRelease)

## Protected Member Functions

| ~Block ()

## Constructor & Destructor Documentation

osgDB::Block::Block | ( |  | ) | `[inline]`

osgDB::Block::~Block | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void osgDB::Block::block | ( |  | ) | `[inline]`

void osgDB::Block::release | ( |  | ) | `[inline]`

void osgDB::Block::reset | ( |  | ) | `[inline]`

void osgDB::Block::set | ( | bool | doRelease | ) | `[inline]`

The documentation for this class was generated from the following file:

- DatabasePager